<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.busi.mapper.BusiCategoryMapper">
    
    <resultMap type="BusiCategory" id="BusiCategoryResult">
        <result property="id"    column="id"    />
        <result property="code"    column="code"    />
        <result property="catgName"    column="catg_name"    />
        <result property="catgLevel"    column="catg_level"    />
        <result property="catgType"    column="catg_type"    />
        <result property="parentId"    column="parent_id"    />
        <result property="prodsJunior"    column="prods_junior"    />
        <result property="prodsAll"    column="prods_all"    />
        <result property="title"    column="title"    />
        <result property="keyword"    column="keyword"    />
        <result property="description"    column="description"    />
        <result property="sort"    column="sort"    />
        <result property="content"    column="content"    />
        <result property="prodUp"    column="prod_up"    />
        <result property="prodDown"    column="prod_down"    />
        <result property="tenantId"    column="tenant_id"    />
        <result property="creator"    column="creator"    />
        <result property="createTime"    column="create_time"    />
        <result property="updater"    column="updater"    />
        <result property="updateTime"    column="update_time"    />
        <result property="delFlag"    column="del_flag"    />
    </resultMap>

    <sql id="selectBusiCategoryVo">
        select id, code, catg_name, catg_level, catg_type, parent_id, prods_junior, prods_all, title, keyword, description, sort, content, prod_up, prod_down, tenant_id, creator, create_time, updater, update_time, del_flag from dl_busi_category
    </sql>

</mapper>